Name:           voxelands
Version:        1504.01
Release:        %mkrel 1
Summary:        The fun-focused free software voxel world game
Group:          Games/Simulation
License:        GPLv3+
URL:            http://www.voxelands.com/
Source0:       http://www.voxelands.com/downloads/%{name}-%{version}-src.tar.xz
Source1:      voxelands.desktop
Patch0:         voxelands-1504.01-mga-games-and-locale-install-paths.patch
#---------------------------------------------------------------
BuildRequires: cmake
BuildRequires: gettext
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}irrlicht-devel
BuildRequires: %{_lib}jthread-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}openal-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}vorbis0-devel
#---------------------------------------------------------------

%description
Voxelands (formerly “Minetest-Classic”) is a fork of Minetest-C55, aiming
to return Minetest to the speedy game it was once known as, while fixing
bugs and continuing to add features and functionality. It aims to be a fast,
polished 3D sandbox voxel world game, rather than just a base for modding.

Voxelands features hundreds of blocks, official and player-run servers,
a growing community and rapid development.

%prep
%setup -q -n %{name}
%apply_patches

%build
%cmake -DRUN_IN_PLACE=0 \
       -DENABLE_FREETYPE=1 \
       -DBUILD_SHARED_LIBS=OFF \
       -DJTHREAD_INCLUDE_DIR=%{_includedir}/jthread
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

install -m 0644 %SOURCE1 %buildroot%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc README.txt voxelands.conf.example doc/*
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-server
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}*.6*


%changelog
* Sat May 09 2015 pinoc <vogtpet at gmail.com> 1504.01-1pclos2015
- 1504.01

* Wed Feb 25 2015 bb <bb> 1501.00-1pclos2015
- imported from france with modifications for pclos

